"use strict";

var _interopRequireDefault = require("reshow-runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("reshow-runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("reshow-runtime/helpers/createClass"));

var _assertThisInitialized2 = _interopRequireDefault(require("reshow-runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("reshow-runtime/helpers/inherits"));

var _createSuper2 = _interopRequireDefault(require("reshow-runtime/helpers/createSuper"));

var _defineProperty2 = _interopRequireDefault(require("reshow-runtime/helpers/defineProperty"));

var _reshowFlux = require("reshow-flux");

var _scrollStore = require("./scrollStore.js");

var FastScroller = /*#__PURE__*/function (_Scroller) {
  (0, _inherits2["default"])(FastScroller, _Scroller);

  var _super = (0, _createSuper2["default"])(FastScroller);

  function FastScroller() {
    var _this;

    (0, _classCallCheck2["default"])(this, FastScroller);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "storeName", "fastScroll");
    return _this;
  }

  (0, _createClass2["default"])(FastScroller, [{
    key: "runScrollMonitor",
    value: function runScrollMonitor(e) {
      this.triggerScroll(e.target);
    }
  }]);
  return FastScroller;
}(_scrollStore.Scroller);

var oFastScroller = new FastScroller();

var _ImmutableStore = (0, _reshowFlux.ImmutableStore)(oFastScroller.reduce.bind(oFastScroller), oFastScroller.getInitialState.bind(oFastScroller)),
    store = _ImmutableStore[0],
    fastScrollDispatch = _ImmutableStore[1];

store.scroller = oFastScroller;
oFastScroller.dispatch = fastScrollDispatch;
oFastScroller.store = store;
var _default = store;
exports["default"] = _default;
module.exports = exports.default;