"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var testForPassiveScroll = function testForPassiveScroll() {
  var win = window;
  var supportsPassiveOption = false;

  try {
    var opts = Object.defineProperty({}, "passive", {
      get: function get() {
        supportsPassiveOption = true;
      }
    });
    win.addEventListener("test", null, opts);
    win.removeEventListener("test", null, opts);
  } catch (e) {}

  return supportsPassiveOption;
};

var _default = testForPassiveScroll;
exports["default"] = _default;
module.exports = exports.default;