import _classCallCheck from "reshow-runtime/es/helpers/classCallCheck";
import _createClass from "reshow-runtime/es/helpers/createClass";
import _assertThisInitialized from "reshow-runtime/es/helpers/assertThisInitialized";
import _inherits from "reshow-runtime/es/helpers/inherits";
import _createSuper from "reshow-runtime/es/helpers/createSuper";
import _defineProperty from "reshow-runtime/es/helpers/defineProperty";
import { ImmutableStore } from "reshow-flux";
import { Scroller } from "./scrollStore.mjs";

var FastScroller = /*#__PURE__*/function (_Scroller) {
  _inherits(FastScroller, _Scroller);

  var _super = _createSuper(FastScroller);

  function FastScroller() {
    var _this;

    _classCallCheck(this, FastScroller);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "storeName", "fastScroll");

    return _this;
  }

  _createClass(FastScroller, [{
    key: "runScrollMonitor",
    value: function runScrollMonitor(e) {
      this.triggerScroll(e.target);
    }
  }]);

  return FastScroller;
}(Scroller);

var oFastScroller = new FastScroller();

var _ImmutableStore = ImmutableStore(oFastScroller.reduce.bind(oFastScroller), oFastScroller.getInitialState.bind(oFastScroller)),
    store = _ImmutableStore[0],
    fastScrollDispatch = _ImmutableStore[1];

store.scroller = oFastScroller;
oFastScroller.dispatch = fastScrollDispatch;
oFastScroller.store = store;
export default store;